--list of all the available templates. The number table (e.g. {0, 2}) is the relative position of the secondary buildings from the first one. 1 unit is the size of a T1 point defence.

Templates = {
	T1FabGroup = {
		FirstBuilding = 'T1EnergyProduction',
		FollowingBuildings = {
			{'T1EnergyProduction', {2, 2}},
			{'T1MassCreation', {0, 2}},
			{'T1EnergyProduction', {4, 4}},
			{'T1MassCreation', {2, 4}},
			{'T1EnergyProduction', {-2, 2}},
			{'T1EnergyProduction', {0, 4}},
			{'T1EnergyProduction', {2, 6}},
		},
		Description = '2 T1 Mass Fabs surrounded by 6 T1 Power Gens.',
	},
	T1MexAndStorage = {
		FirstBuilding = 'T1Resource',
		FollowingBuildings = {
			{'MassStorage', {0, 2}},
			{'MassStorage', {0, -2}},
			{'MassStorage', {-2, 0}},
			{'MassStorage', {2, 0}},
		},
		Description = 'T1 Mass Extractor surrounded by 4 Mass Storage.',
	},
	RadarAndPower = {
		FirstBuilding = 'T1Radar',
		FollowingBuildings = {
			{'T1EnergyProduction', {0, 2}},
			{'T1EnergyProduction', {0, -2}},
			{'T1EnergyProduction', {-2, 0}},
			{'T1EnergyProduction', {2, 0}},
		},
		Description = 'T1 Radar surrounded by 4 T1 Power Generators.',
	},
	T1LandFacWithPower = {
		FirstBuilding = 'T1LandFactory',
		FollowingBuildings = {
			{'T1EnergyProduction', {5, -3}},
			{'T1EnergyProduction', {5, -1}},
			{'T1EnergyProduction', {5, 1}},
			{'T1EnergyProduction', {5, 3}},
			{'T1EnergyProduction', {3, 5}},
			{'T1EnergyProduction', {1, 5}},
			{'T1EnergyProduction', {-1, 5}},
			{'T1EnergyProduction', {-3, 5}},
			{'T1EnergyProduction', {-5, 3}},
			{'T1EnergyProduction', {-5, 1}},
			{'T1EnergyProduction', {-5, -1}},
			{'T1EnergyProduction', {-5, -3}},
			{'T1EnergyProduction', {-3, -5}},
			{'T1EnergyProduction', {-1, -5}},
			{'T1EnergyProduction', {1, -5}},
			{'T1EnergyProduction', {3, -5}},
		},
		Description = 'T1 Land Factory surrounded by T1 Power Generators.',
	},
	T2FirebaseCore = {
		FirstBuilding = 'T2ShieldDefense',
		FollowingBuildings = {
			{'T2MissileDefense', {4, 0}},
			{'T2AADefense', {2, -4}},
			{'T1GroundDefense', {4, -4}},
			{'T1GroundDefense', {-4, 4}},
			{'T2Radar', {-4, 0}},
			{'T1GroundDefense', {-4, -4}},
			{'T1GroundDefense', {4, 4}},
			{'T2AADefense', {2, 4}},
			{'T2AADefense', {-2, -4}},
			{'T2AADefense', {-2, 4}},
			{'T2GroundDefense', {4, -2}},
			{'T2GroundDefense', {4, 2}},
			{'T2GroundDefense', {0, 4}},
			{'T2GroundDefense', {-4, 2}},
			{'T2GroundDefense', {-4, -2}},
			{'T2GroundDefense', {0, -4}},
		},
		Description = 'T2 Firebase with shield, AA, tac defense and point defense.',
	},
	T3MassComplexTight = {
		FirstBuilding = 'T3ShieldDefense',
		FollowingBuildings = {
			{'T3EnergyProduction', {7, 1}},
			{'T3MassCreation', {6, 8}},
			{'T3MassCreation', {8, -6}},
			{'T3EnergyProduction', {1, -7}},
			{'T3MassCreation', {-8, 6}},
			{'T3EnergyProduction', {-1, 7}},
			{'T3MassCreation', {-6, -8}},
			{'T3EnergyProduction', {-7, -1}},
			{'MassStorage', {-10, -10}},
			{'MassStorage', {-10, -8}},
			{'MassStorage', {-10, -6}},
			{'MassStorage', {-10, 10}},
			{'MassStorage', {-8, 10}},
			{'MassStorage', {-6, 10}},
			{'MassStorage', {10, 10}},
			{'MassStorage', {10, 8}},
			{'MassStorage', {10, 6}},
			{'MassStorage', {10, -10}},
			{'MassStorage', {8, -10}},
			{'MassStorage', {6, -10}},
		},
		Description = 'T3 Mass Fab complex, grouped up for maximum adjacency bonuses.',
	},
	T3MassComplexSpread = {
		FirstBuilding = 'T3ShieldDefense',
		FollowingBuildings = {
			{'T3EnergyProduction', {7, 6}},
			{'T3MassCreation', {0, 7}},
			{'T3MassCreation', {6, 13}},
			{'T3EnergyProduction', {-7, 6}},
			{'T3MassCreation', {-6, 13}},
			{'T3EnergyProduction', {-7, -6}},
			{'T3MassCreation', {0, -7}},
			{'T3MassCreation', {-6, -13}},
			{'T3EnergyProduction', {7, -6}},
			{'T3MassCreation', {6, -13}},
			{'MassStorage', {-2, -11}},
			{'MassStorage', {2, -11}},
			{'MassStorage', {2, 11}},
			{'MassStorage', {-2, 11}},
			{'EnergyStorage', {4, 1}},
			{'EnergyStorage', {4, -1}},
			{'EnergyStorage', {-4, 1}},
			{'EnergyStorage', {-4, -1}},
		},
		Description = 'T3 Mass Fab complex, spread to minimize chain reactions.',
	},
	TriTechFrontline = {
		FirstBuilding = 'T1GroundDefense',
		FollowingBuildings = {
			{'T1GroundDefense', {0, 8}},
			{'T1GroundDefense', {0, -8}},
			{'T2GroundDefense', {2, -8}},
			{'T2Artillery', {4, -8}},
			{'T3AADefense', {12, -8}},
			{'T2AADefense', {12, -8}},
			{'T2GroundDefense', {2, -6}},
			{'T2Artillery', {4, -6}},
			{'T2AADefense', {12, -6}},
			{'T1AADefense', {4, -6}},
			{'T2GroundDefense', {2, -4}},
			{'T1GroundDefense', {2, -4}},
			{'T2MissileDefense', {4, -4}},
			{'T3AADefense', {12, -4}},
			{'T2AADefense', {12, -4}},
			{'T2GroundDefense', {2, -2}},
			{'T2Artillery', {4, -2}},
			{'T2AADefense', {12, -2}},
			{'T1AADefense', {4, -2}},
			{'T2GroundDefense', {2, 0}},
			{'T1GroundDefense', {2, 0}},
			{'T2Artillery', {4, 0}},
			{'T3ShieldDefense', {8, 0}},
			{'T2ShieldDefense', {8, 0}},
			{'T3AADefense', {12, 0}},
			{'T2AADefense', {12, 0}},
			{'T2GroundDefense', {2, 2}},
			{'T2Artillery', {4, 2}},
			{'T2AADefense', {12, 2}},
			{'T1AADefense', {4, 2}},
			{'T2GroundDefense', {2, 4}},
			{'T1GroundDefense', {2, 4}},
			{'T2MissileDefense', {4, 4}},
			{'T3AADefense', {12, 4}},
			{'T2AADefense', {12, 4}},
			{'T2GroundDefense', {2, 6}},
			{'T2Artillery', {4, 6}},
			{'T2AADefense', {12, 6}},
			{'T1AADefense', {4, 6}},
			{'T2GroundDefense', {2, 8}},
			{'T2Artillery', {4, 8}},
			{'T3AADefense', {12, 8}},
			{'T2AADefense', {12, 8}},
		},
		Description = 'Tri-tech firebase, with build options for all tech levels.',
	},
}